# openstack.compute.v2.server_remote_console

## The ServerRemoteConsole Class

The `ServerRemoteConsole` class inherits from `Resource`.

class openstack.compute.v2.server_remote_console.ServerRemoteConsole(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'remote_console'

    Singular form of key for resource.

  base_path = '/servers/%(server_id)s/remote-consoles'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = False

    Allow get operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_list = False

    Allow list operation for this resource.

  protocol

    Protocol of the remote console.

  type

    Type of the remote console.

  url

    URL used to connect to the console.

  server_id

    The ID for the server.

  create(session, prepend_key=True, base_path=None, **params)

    Create a remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource creation request. Default to True.

      - base_path (str) – Base part of the URI for creating resources, if different from `base_path`.

      - resource_request_key (str) – Overrides the usage of self.resource_key when prepending a key to the request body. Ignored if prepend_key is false.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing response bodies. Ignored if prepend_key is false.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional params to pass.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_create` is not set to `True`.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.